<Keyboard xmlns:android="http://schemas.android.com/apk/res/android"
    android:horizontalGap="3dip"
    android:verticalGap="3dip"
    android:keyWidth="25%p"
    android:keyHeight="20%p"
    >

    <Row android:rowEdgeFlags="top">
        <Key android:codes="-9001" android:keyEdgeFlags="left" android:keyIcon="@drawable/sk_keyboard_shift_0" />
        <Key android:codes="97" android:keyLabel="a" />
        <Key android:codes="98" android:keyLabel="b" />
        <Key android:codes="99" android:keyLabel="c" android:keyEdgeFlags="right" />
    </Row>

    <Row>
        <Key android:codes="100" android:keyLabel="d" android:keyEdgeFlags="left" />
        <Key android:codes="101" android:keyLabel="e"  />
        <Key android:codes="102" android:keyLabel="f" />
        <Key android:codes="103" android:keyLabel="g" android:keyEdgeFlags="right" />
    </Row>

    <Row>
        <Key android:codes="104" android:keyLabel="h" android:keyEdgeFlags="left" />
        <Key android:codes="105" android:keyLabel="i" />
        <Key android:codes="106" android:keyLabel="j" />
        <Key android:codes="107" android:keyLabel="k" android:keyEdgeFlags="right" />
    </Row>

    <Row>
        <Key android:codes="108" android:keyLabel="l" android:keyEdgeFlags="left" />
        <Key android:codes="109" android:keyLabel="m" />
        <Key android:codes="110" android:keyLabel="n" />
        <Key android:codes="111" android:keyLabel="o" android:keyEdgeFlags="right" />
    </Row>

    <Row>
        <Key android:codes="112" android:keyLabel="p" android:keyEdgeFlags="left" />
        <Key android:codes="113" android:keyLabel="q" />
        <Key android:codes="114" android:keyLabel="r" />
        <Key android:codes="115" android:keyLabel="s" android:keyEdgeFlags="right" />
    </Row>

    <Row>
        <Key android:codes="116" android:keyLabel="t" android:keyEdgeFlags="left" />
        <Key android:codes="117" android:keyLabel="u" />
        <Key android:codes="118" android:keyLabel="v" />
        <Key android:codes="119" android:keyLabel="w" android:keyEdgeFlags="right" />
    </Row>

    <Row>
        <Key android:codes="120" android:keyLabel="x" android:keyEdgeFlags="left" />
        <Key android:codes="121" android:keyLabel="y" />
        <Key android:codes="122" android:keyLabel="z" />
        <Key android:codes="-200000" android:keyLabel="" android:keyEdgeFlags="right" />
    </Row>

</Keyboard>
